curl --request PUT \
--url https://platform.kodexa.ai/api/users/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"active": true,
"bio": "<string>",
"businessGroup": "<string>",
"changeSequence": 123,
"createdOn": "2023-11-07T05:31:56Z",
"email": "<string>",
"firstName": "<string>",
"groupsJson": "<string>",
"id": "<string>",
"image": "<string>",
"isExternallyManaged": true,
"lastName": "<string>",
"preferences": {
"showOnboarding": true,
"showScrollbars": true,
"showWelcomeMessage": true
},
"rolesJson": "<string>",
"searchText": "<string>",
"security": {
"roles": [
"<string>"
]
},
"showDeveloperTools": true,
"title": "<string>",
"updatedOn": "2023-11-07T05:31:56Z",
"userStorage": {
"favoriteLinks": [
{
"link": "<string>"
}
]
},
"userType": "<string>",
"uuid": "<string>"
}
'import requests
url = "https://platform.kodexa.ai/api/users/{id}"
payload = {
"active": True,
"bio": "<string>",
"businessGroup": "<string>",
"changeSequence": 123,
"createdOn": "2023-11-07T05:31:56Z",
"email": "<string>",
"firstName": "<string>",
"groupsJson": "<string>",
"id": "<string>",
"image": "<string>",
"isExternallyManaged": True,
"lastName": "<string>",
"preferences": {
"showOnboarding": True,
"showScrollbars": True,
"showWelcomeMessage": True
},
"rolesJson": "<string>",
"searchText": "<string>",
"security": { "roles": ["<string>"] },
"showDeveloperTools": True,
"title": "<string>",
"updatedOn": "2023-11-07T05:31:56Z",
"userStorage": { "favoriteLinks": [{ "link": "<string>" }] },
"userType": "<string>",
"uuid": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
active: true,
bio: '<string>',
businessGroup: '<string>',
changeSequence: 123,
createdOn: '2023-11-07T05:31:56Z',
email: '<string>',
firstName: '<string>',
groupsJson: '<string>',
id: '<string>',
image: '<string>',
isExternallyManaged: true,
lastName: '<string>',
preferences: {showOnboarding: true, showScrollbars: true, showWelcomeMessage: true},
rolesJson: '<string>',
searchText: '<string>',
security: {roles: ['<string>']},
showDeveloperTools: true,
title: '<string>',
updatedOn: '2023-11-07T05:31:56Z',
userStorage: {favoriteLinks: [{link: '<string>'}]},
userType: '<string>',
uuid: '<string>'
})
};
fetch('https://platform.kodexa.ai/api/users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"active": true,
"bio": "<string>",
"businessGroup": "<string>",
"changeSequence": 123,
"createdOn": "2023-11-07T05:31:56Z",
"email": "<string>",
"firstName": "<string>",
"groupsJson": "<string>",
"id": "<string>",
"image": "<string>",
"isExternallyManaged": true,
"lastName": "<string>",
"preferences": {
"showOnboarding": true,
"showScrollbars": true,
"showWelcomeMessage": true
},
"rolesJson": "<string>",
"searchText": "<string>",
"security": {
"roles": [
"<string>"
]
},
"showDeveloperTools": true,
"title": "<string>",
"updatedOn": "2023-11-07T05:31:56Z",
"userStorage": {
"favoriteLinks": [
{
"link": "<string>"
}
]
},
"userType": "<string>",
"uuid": "<string>"
}Update PlatformUser
Updates an existing PlatformUser. Platform users represent user accounts in Kodexa.
Authorizations
API key for authentication. Create one from the Kodexa platform UI under Settings > Access Tokens.
Path Parameters
Unique identifier (UUID) of the resource.
Body
A platform user represents a user account in the Kodexa platform.
Optimistic locking version number.
Timestamp when the user was created.
Unique identifier (UUID) for the user.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Timestamp when the user was last updated.
Show child attributes
Show child attributes
Secondary UUID identifier.
Response
Updated PlatformUser
A platform user represents a user account in the Kodexa platform.
Optimistic locking version number.
Timestamp when the user was created.
Unique identifier (UUID) for the user.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Timestamp when the user was last updated.
Show child attributes
Show child attributes
Secondary UUID identifier.
